variables:
  VERSION: "6.4.2.6"

build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - mkdir -p /kaniko/.docker
    - cp $DOCKER_SECRET_CONFIG /kaniko/.docker/config.json
    - /kaniko/executor --context $CI_PROJECT_DIR --destination libresh/onlyoffice:$VERSION --destination libresh/onlyoffice:$VERSION-$CI_COMMIT_SHORT_SHA --build-arg VERSION=$VERSION
  only:
    - master
